# List all bank accounts

**GET** `/bank-accounts`

List all bank accounts under the platform. Filtered results can be retrieved with extra parameters in the query.

### Query Parameters

- `balance.gt` `number` — Return results where the balance is greater than this value (in smallest currency unit).
- `balance.gte` `number` — Return results where the balance is greater than or equal to this value (in smallest currency unit).
- `balance.lt` `number` — Return results where the balance is less than this value (in smallest currency unit).
- `balance.lte` `number` — Return results where the balance is less than or equal to this value (in smallest currency unit).
- `created.gt` `date-time` — Return results where the `created_at` field is greater than this value.
- `created.gte` `date-time` — Return results where the `created_at` field is greater than or equal to this value.
- `created.lt` `date-time` — Return results where the `created_at` field is less than this value.
- `created.lte` `date-time` — Return results where the `created_at` field is less than or equal to this value.
- `description` `string` — Filter bank accounts by description.
- `ending_before` `string` — A cursor for use in pagination. `ending_before` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, starting with `foo_ZXhhbXBsZQo`, your subsequent call can include `ending_before=foo_ZXhhbXBsZQo` in order to fetch the previous page of the list.
- `entity_id` `string` — List all accounts that belong to the entity with the given `entity_id`.
- `is_overdraftable` `boolean` — List all accounts that are overdraftable.
- `limit` `number` — A limit on the number of objects to be returned, between `1` and `100`. The default is `10`.
- `overdraft_reserve_account_id` `string` — List all bank accounts with the given `overdraft_reserve_account_id`.
- `query` `string` — Search query to match against bank accounts.
- `sort` `string` — Field to sort results by.
- `sort_order` `string` — Sort direction. Can be `asc` or `desc`.
- `starting_after` `string` — A cursor for use in pagination. `starting_after` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, ending with `foo_ZXhhbXBsZQo`, your subsequent call can include `starting_after=foo_ZXhhbXBsZQo` in order to fetch the next page of the list.
- `status` `string` — Filter bank accounts by status. Can be `open`, `closed`, or `frozen`.
- `type` `string` — Bank account type. Can be `CHECKING`, `OVERDRAFT_RESERVE`, `PROGRAM_RESERVE`, or `NETWORK_SETTLEMENT_ACCOUNT`.

**Request**

```shell
curl 'https://api.column.com/bank-accounts?entity_id=<entity_id>' \
  -u :<YOUR API KEY>
```

**Response 200**

```json
{
  "bank_accounts": [
    {
      "balances": {
        "available_amount": 0,
        "holding_amount": 0,
        "locked_amount": 0,
        "pending_amount": 0
      },
      "bic": "CLNOUS66",
      "created_at": "2021-10-14T17:50:21Z",
      "currency_code": "USD",
      "default_account_number": "123456789012345",
      "default_account_number_id": "acno_2YHAWG9FTCxtL5emK1oVKCOx7fk",
      "description": "Travel Checking",
      "id": "bacc_2YHAXVyuS2xcJW12Buh9zsxV7vC",
      "is_overdraftable": false,
      "overdraft_reserve_account_id": "",
      "owners": [
        "enti_2YHAYW65t2fEna7uxll10OHzoty"
      ],
      "routing_number": "121145307",
      "type": "CHECKING",
      "status": "open"
    }
  ],
  "has_more": false
}
```
